Package org.eclipse.microprofile.openapi.tck

# Class SchemaExtensionPropertyTest

java.lang.Object
org.eclipse.microprofile.openapi.tck.SchemaExtensionPropertyTest

public class SchemaExtensionPropertyTest extends Object
This test covers the Extensible aspect of the Schema model, checking that properties are recognized correctly as extensions by an implementation and handled according to the Schema documentation.

## Constructor Summary

Constructors
Constructor
Description
`SchemaExtensionPropertyTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`testExtensionAvailableFromGet()`
`void`
`testExtensionSetAllForUnknownProperty()`
`void`
`testExtensionSetForUnknownProperty()`
`void`
`testExtensionSetWithNonnullDialect()`
`void`
`testNullExtensionNotAdded()`
`void`
`testSetAllClearsExtensions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchemaExtensionPropertyTest

public SchemaExtensionPropertyTest()

## Method Details

### testExtensionSetForUnknownProperty

public void testExtensionSetForUnknownProperty()

### testExtensionSetAllForUnknownProperty

public void testExtensionSetAllForUnknownProperty()

### testExtensionAvailableFromGet

public void testExtensionAvailableFromGet()

### testExtensionSetWithNonnullDialect

public void testExtensionSetWithNonnullDialect()

### testSetAllClearsExtensions

public void testSetAllClearsExtensions()

### testNullExtensionNotAdded

public void testNullExtensionNotAdded()